> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get all user's information > Get user's information with status. ## OpenAPI ````json GET /v1/users { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/users": { "get": { "tags": [ "Users" ], "summary": "Get all user's information.", "description": "Get user's information with status.", "operationId": "getAllUsers", "parameters": [ { "name": "all_search", "in": "query", "description": "Search on name or email.", "schema": { "type": "string" } }, { "name": "limit", "in": "query", "description": "Maximum numbers of users to return.", "schema": { "type": "integer" } }, { "name": "offset", "in": "query", "description": "Number of users to skip from start.", "schema": { "type": "integer" } }, { "name": "sort_by", "in": "query", "description": "Sort fields. In the format of key1:ASC,key2:DESC,key3:DESC", "schema": { "type": "string" } } ], "responses": { "200": { "description": "Search result for user's objects.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/GetAllUsersResponse" } } } } }, "security": [ { "bearerToken": [] } ], "x-auth-resource": "Reader,Writer,Manager" } } }, "components": { "schemas": { "GetAllUsersResponse": { "required": [ "items" ], "type": "object", "properties": { "metadata": { "$ref": "#/components/schemas/SearchMetadata" }, "items": { "type": "array", "items": { "$ref": "#/components/schemas/User" } } } }, "SearchMetadata": { "required": [ "total_count", "filtered_count", "page", "pages", "limit" ], "type": "object", "properties": { "page": { "type": "integer", "description": "Current page number" }, "pages": { "type": "integer", "description": "Total pages as per the item counts and page limit." }, "limit": { "type": "integer", "description": "Number of items to limit in a page." }, "total_count": { "type": "integer", "description": "Total number of unfiltered items." }, "filtered_count": { "type": "integer", "description": "Total number of items as per the current filter." } } }, "User": { "required": [ "user_id", "user_email" ], "type": "object", "properties": { "user_id": { "type": "string", "description": "User Id.", "format": "uuid" }, "first_name": { "type": "string", "description": "First Name." }, "last_name": { "type": "string", "description": "Last Name." }, "user_email": { "type": "string", "description": "User Email." }, "last_logged_in_at": { "type": "integer", "description": "Last login time of user.", "format": "int64" }, "created_at": { "type": "integer", "description": "Creation time of user.", "format": "int64" }, "email_verified": { "type": "boolean", "description": "Whether this user's email has been verified." }, "status": { "$ref": "#/components/schemas/UserStatus" }, "roles": { "type": "array", "items": { "$ref": "#/components/schemas/AccessRoles" } }, "user_account_status": { "$ref": "#/components/schemas/UserAccountStatus" }, "accepted_latest_terms_and_conditions": { "type": "boolean", "description": "Whether this user has accepted latest terms and conditions or not." }, "new_email": { "type": "string", "description": "User’s new email address before it has been confirmed." } } }, "UserStatus": { "enum": [ "ACTIVE", "PENDING", "DISABLED" ], "type": "string", "description": "Status of a user." }, "AccessRoles": { "enum": [ "READER", "WRITER", "MANAGER" ], "type": "string", "description": "Roles of a user." }, "UserAccountStatus": { "enum": [ "ACTIVE", "PENDING", "DISABLED" ], "type": "string", "description": "Status of an Account for a user." } }, "securitySchemes": { "bearerToken": { "type": "apiKey", "description": "A JWT bearer token to be passed once authenticated.", "name": "Authentication", "in": "header" } } } } ````